/*@ManMemo:*************** CONSTANTS ********************/
const flt EPSILON = 1e-10;      /*@ManMemo: ridiculously small */
const flt INFTY = 1e20;         /*@ManMemo: ridiculously big, unity of MIN()  */
const flt BOUNDFUDGE = 1e-3;    /*@ManMemo: make bounds this amount too big */
const flt DEFAULT_TOLERANCE = 1e-3;
///
const flt ALG_TOLERANCE = DEFAULT_TOLERANCE / 2;        /*@ManMemo: max error for superqs, and algebraics */
const   DEFAULTMAXLEVEL = 3;    /*@ManMemo: default maximum recursion level */
const   MAX_ORDER = 12;         /*@ManMemo: maximum polynomial order */
const   BUFFERSIZE = 10240;

/// fudge factor for small coeffs
const flt FUDGE=		1.0e-12;
