#ifndef POLYINS_HH
#define POLYINS_HH



/// entry for stack of polynomial operations 
struct poly_instruction
{
    /// numeric factor 
    flt     factor;
    /// operator or type 
    char    op;        
    /** enum op { 'x','y','z', 'f' = floatconst, '=', '+', '-', '*', 'n' = unary -, '^'
    */
    void print() const;
    poly_instruction() { factor = 0; op = 'f'; }
    poly_instruction(flt f) { factor = f; op = 'f'; }
    poly_instruction(char o) { factor = 0.0; op = o; }
};

#endif
