// algebraics test

#include "standard.inc"
#include "colors.inc"
#include "textures.inc"
#include "surfs.inc"
options { tolerance 0.1 }

#define TorusText = texture {
    finish {
        ambient color green 0.1
        diffuse color blue 1.0
        specular color red 1.0
        roughness 0.05
    }
}
default { TorusText }

define bla=composite {
    object {
        algebraic { $ x^2 + y^2 + z^2 - 4 $ }
        bounded_by { box { <-2>, <2> } }
        translate -4*x
    }
    sphere { <0>, 2 translate 4*x }
}
define bitest=
object {
	Bicorn scale <2>
}
define heltest=
object {
	Helix 
}
define sqtest=
object {
	Hyper_Quadric4
	bounded_by { box {<-1> , <1> } }
	scale <4>
}
object{
	heltest
	clipped_by { box { <-1>, <1> } }
}

camera{
	rotate -45*x	scale <	2>
}

light_source { <0, 30, -30> color rgb <1> }