#include "polyins.hh"
#include "vray.hh"
#include "shapeheads.hh"

struct algebraic_data : shape_data {
    MAKESHAPE(algebraic);
    svec<poly_instruction> code;   /*@ManMemo: code needed to generate the one-var polynomial */

    algebraic_data(svec<poly_instruction> sv);

    vector  normal(vector) const;

    bool    inside(vector) const;
private:
    int do_intersection(ray * r, flt *, int flags) const ;
};


