/* This is what an object-file should
 * look like.
 */
/*
 * XXXX.c -- handle XXXX type objects

   (c) 1993, 1994, 1995 Han-Wen Nienhuys <hanwen@stack.urc.tue.nl>

   this is part of Rayce, a raytracer based on "Ray" by George Kyriazis
   <kyriazis@turing.cs.rpi.edu> Rayce is released under the terms of the
   GNU General Public License, it has no warranty what so ever. For more
   details: see the file "COPYING"
 */

#include "ray.h"
#include "object.h"
#include "shapes.h"
#include "proto.h"
#include "extern.h"


#include "ibuf.h"

/* initialize a XXXX_data */
Shape_Stats *XXXX_Data::Stat = Register_Shape("XXXX");
XXXX_data::XXXX_data()
{

    type = XXXX;
}
/* is vector loc inside a XXXX ? */
bool
XXXX_data::inside(vector loc)
{


    /* insert code */
}
/*
 * NOTE: if you don't want to use transformation matrices, then you
 * should:
 *
 * - code these routines
 *
 * - remove the #define below
 */
#ifdef UNDEFINED

/* scale it. */
void
        XXXX_data::scale(const vector s)
{

}
/* rotation */
void
        XXXX_data::rotate(const matrix rotmat)
{

}
/* and translation */
void
        XXXX_data::translate(const vector t)
{

}
#endif          /* UNDEFINED */

void    XXXX_data::print()
{
#ifdef DEBUG


#endif          /* DEBUG */
}
/*
 * the real intersection calculation.
 */
PRIVATE int
        intersect_XXXX(XXXX_data * tor, ray * r, Flt * rhits, bool chkall)
{
    bool    hit;


    /* insert code */

    return hit;
}
/*
 * intersect with the this part, return true if intersection
 * found.
 */
bool    XXXX_data::all_intersections(ibuf * q, ray * r, int flags, bool * isinside, int oflags, object * owner)
{
    int     n,
            j;
    Flt     inter[4];
    dqueue  q_ent;
    bool    loc_ins;
    stat->test++;
    n = intersect_XXXX(this, r, inter, flags & CHKALL);

    if (flags & CHKINSIDE)
    {
        if (!(oflags & O_INFINITE))     /* closed & bounded (a manifold) surface */
            loc_ins = *isinside = (n % 2) ^ (oflags & O_INVERTED);
        else
        {
            /* not closed, then use brute force */
            vector  sample;
            sample = 2 * tolerance * r->dir;
            sample += r->pos;
            loc_ins = *isinside = inside_XXXX(o, sample);
        }
    }
    if (!n)
        return false;
    stat->hit++;

    if (flags & CHKINSIDE && n > 1)     /* check everything? */
        for (j = 0; j < n; j++)
        {
            q_ent.t = inter[j];
            q_ent.obj = owner;
            q_ent.entering = (loc_ins = !loc_ins);
            add_to_ibuf(q, flags, &q_ent);
    } else
    {
        /* record only one hit. */

        q_ent.t = inter[0];
        q_ent.obj = owner;
        q_ent.entering = (loc_ins = !loc_ins);
        add_to_ibuf(q, flags, &q_ent);
    }

    return true;
}


/*
 * returns the normal to the XXXX
 */
vector  XXXX_data::normal(intersection * i, vector loc)
{
    XXXX_data *p = i->q_((XXXX_data *) ent.obj->data);
    vector  n;
    /* NO transformation here. it is done in object_normal */

    return n;
}
/* copy the shape data usually not needed */
void
        XXXX_data::operator = (const object & src)
{
}
// only needed if XXXX has substructures
void
XXXX_data::~XXXX_data()
{
}


void
XXXX_data::bound(matrix *trans, bounding_box *bbox)
{

    /* do autobounding */
}

void
XXXX_data::precompute()
{
    If(!Stat) Stat = Register_Shape("XXXX");
    Stat->Howmuch++;



    /* do precomputation */


    /* stats */

    prims++;
}


/* alloc/init */
PUBLIC object *
        get_new_XXXX_object(void)
{
    object *o = new object;
    o->data = new XXXX_data;

    /* !!!!!! THESE ARE IMPORTANT, CHECK OUT THE APPROPRIATE HEADER FOR O_XXXX FLAGS!  */
    o->flags = O_YYYY;

    return o;
}
/* eof */
